!if $jquery_defined=yes

  <!-- Foundation for Sites 6 footer template (see http://foundation.zurb.com/sites/docs/)  -->

  <script src="scripts/js/external/what-input/what-input.min.js"></script>

  <script src="html/themes/Planete/_inc/foundation/foundation.core.js"></script>
  <script src="html/themes/Planete/_inc/foundation/foundation.util.mediaQuery.js"></script>

  

  <script src="html/themes/Planete/_inc/foundation/foundation.util.keyboard.js"></script>
  <script src="html/themes/Planete/_inc/foundation/foundation.util.box.js"></script>
  <script src="html/themes/Planete/_inc/foundation/foundation.util.nest.js"></script>

  <!--ATTENTION ne pas mettre util.triggers.js car double les puces dans le glossaire et recherche par sujet-->
  
  <script src="html/themes/Planete/_inc/foundation/foundation.util.motion.js"></script>
  <!--<script src="html/themes/Planete/_inc/foundation/foundation.util.timer.js"></script>--><!--A RETIRER-->
  <script src="html/themes/Planete/_inc/foundation/foundation.util.touch.js"></script>
  <!--<script src="html/themes/Planete/_inc/foundation/foundation.util.imageLoader.js"></script>--><!-- Pour orbit et equalizer-->
  

  <!-- Mettre appel accordion avant equalizer pour fluidité equalizer dans supervisor blocs actu et exemples -->
  !! periode de test : on ne l'active que sur certains modules pour l'instant.
  !if $module isitemof adm/class/addmodule,home
    !!<!-- Accordion (used in adm/class/addmodule) -->
    <script src="html/themes/_inc/foundation/foundation.accordion.min.js"></script>
  !endif

  <!--Pour égaliser hauteur des blocs actu et carousel-->
  <!--<script src="html/themes/Planete/_inc/foundation/foundation.orbit.js"></script>--><!--A Remplacer par Slick-->
  <!--<script src="html/themes/Planete/_inc/foundation/foundation.equalizer.js"></script>--><!-- A tester avec Slick si on retire orbit-->

  !!<!-- dropdown Menu (used by languages selector) -->
  <script src="html/themes/Planete/_inc/foundation/foundation.dropdownMenu.js"></script>
  
  <script src="html/themes/Planete/_inc/foundation/foundation.responsiveToggle.js"></script><!-- Pour menu responsive hamburger-->
  <!--<script src="html/themes/Planete/_inc/foundation/foundation.accordionMenu.js"></script>--><!-- Utilité ??? -->
  
  <!--<script src="html/themes/Planete/_inc/foundation/foundation.dropdown.js"></script>--><!--retiré le 16/01/20 pour conflit avec correspondance-->
  
  <!--Pour fenêtre modale-->
  <!--<script src="html/themes/Planete/_inc/foundation/foundation.reveal.js"></script>-->

  <!--Pas besoin
  <script src="html/themes/Planete/_inc/foundation/foundation.responsiveMenu.js"></script>
  -->
 !! periode de test (et c'est plus optimisé)
  !! On ne l'active que sur certains modules pour l'instant.
  !set test=!defof frontmsg in wimshome/log/wims.conf
  !if $test!=$empty
    !set has_frontmsg=yes
  !endif
  !if $module=home and ($wims_user=$empty or $wims_user=supervisor)
    !if $wims_frontmsg!=$empty and $front_nbslide>0
      !! permet de faire un "caroussel"
      <script src="scripts/js/external/slick/slick.min.js"></script>
      <script>
        jQuery(function($$) {
          $$('.carousel').slick({
            autoplay: true,
            autoplaySpeed: 6000,
            dots: true,
            fade:true,
            speed:1
          });
        });
      </script>
      
      <script>
      /* Pour garder en mémoire l'action sur l'accordéon blocs news et exemples */
      if (sessionStorage.getItem('myClicks')) {
        var nbClick =parseInt(sessionStorage.getItem('myClicks'));
        var textButton =sessionStorage.getItem('myText');
      } else {
        sessionStorage.setItem('myClicks', '0');
        sessionStorage.setItem('myText', '$euler_btn_hide');
        var nbClick =parseInt(sessionStorage.getItem('myClicks'));
        var textButton =sessionStorage.getItem('myText');
      }


      if (parseInt(nbClick)%2==0) {
        document.getElementById("newsexample_accordion").classList.add("is-active"); 
      }
      document.querySelector("a.BtnHideShow").innerHTML = textButton;
       
      function addClicks() {

        /*Pour accélérer la réinitialisation du carousel après l'action sur bouton montrer*/
        jQuery(function($$) {
          $$('.carousel').slick('slickNext');
        });
        /********/

        var newValue = parseInt(sessionStorage.getItem('myClicks'))+ 1;
          sessionStorage.setItem('myClicks', String(newValue));
        
        if ((newValue-1)%2==1) {
          document.getElementById("newsexample_accordion").classList.remove("is-active");
          sessionStorage.setItem('myText', '$euler_btn_hide');
        }else{document.getElementById("newsexample_accordion").classList.add("is-active");
          sessionStorage.setItem('myText', '$euler_btn_show');
        }
        
        document.querySelector("a.BtnHideShow").innerHTML =sessionStorage.getItem('myText');   
      }
     
    </script>
    !endif
  !endif
  <script>  
  /*appel foundation*/
  jQuery(function($$) {$$(document).foundation();});
  </script>
  
!endif
